Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1839464 - Review Request: golang-github-projectdiscovery-retryabledns - Retryable DNS client
Summary: Review Request: golang-github-projectdiscovery-retryabledns - Retryable DNS c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1839465 1839489
TreeView+ depends on / blocked
 
Reported: 2020-05-24 08:57 UTC by Fabian Affolter
Modified: 2020-07-06 01:01 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-07-06 01:01:29 UTC
Type: ---
Embargoed:
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-05-24 08:57:38 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-projectdiscovery-retryabledns.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-projectdiscovery-retryabledns-1.0.4-1.fc31.src.rpm

Project URL: https://github.com/projectdiscovery/retryabledns

Description:
Retryable DNS client in Go.

Koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=44895220

rpmlint output:
$ rpmlint golang-github-projectdiscovery-retryabledns-1.0.4-1.fc31.src.rpm
golang-github-projectdiscovery-retryabledns.src: W: spelling-error Summary(en_US) Retryable -> Retry able, Retry-able, Retractable
golang-github-projectdiscovery-retryabledns.src: W: spelling-error %description -l en_US Retryable -> Retry able, Retry-able, Retractable
golang-github-projectdiscovery-retryabledns.src: W: no-%build-section
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

$ rpmlint golang-github-projectdiscovery-retryabledns-devel-1.0.4-1.fc31.noarch.rpm 
golang-github-projectdiscovery-retryabledns-devel.noarch: W: spelling-error Summary(en_US) Retryable -> Retry able, Retry-able, Retractable
golang-github-projectdiscovery-retryabledns-devel.noarch: W: spelling-error %description -l en_US Retryable -> Retry able, Retry-able, Retractable
golang-github-projectdiscovery-retryabledns-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/projectdiscovery/retryabledns/.goipath
1 packages and 0 specfiles checked; 0 errors, 3 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-06-26 09:06:23 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Gwyn Ciesla 2020-06-26 13:23:57 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-projectdiscovery-retryabledns

Comment 3 Fedora Update System 2020-06-27 11:12:27 UTC
FEDORA-2020-d557a96bdb has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d557a96bdb

Comment 4 Fedora Update System 2020-06-28 01:09:48 UTC
FEDORA-2020-d557a96bdb has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-d557a96bdb \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d557a96bdb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2020-07-06 01:01:29 UTC
FEDORA-2020-d557a96bdb has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.